## org.irisa.genouest.logol.utils.model
Interface LogolInterfaceNode

All Known Implementing Classes:
  AbstractNode, EndNode, ForkNode, MergeNode, ModelNode, RepeatNode, RuleNode, SpacerNode, StartNode, VariableNode, ViewNode

    public interface LogolInterfaceNode

Generic interface for all nodes of the designer

Author:
  osallou

Method Summary
`boolean` `doOverlap(org.w3c.dom.Node startNode)` Check if overlap is set
`java.lang.String` `getGlobalInfo(org.w3c.dom.Node startNode)` Gets information of a group of nodes, used for views or repeats for example.
`java.lang.String` `getNodeGrammar(org.w3c.dom.Node startNode)` Get the logol grammar for the node
`void` `setShowComments(boolean showComments)` Add comments to logol generated data or not
`void` `setTerminals(java.util.HashMap<java.lang.String,java.lang.String> terminals)` Sets the list of predefined terminals
`void` `update(org.w3c.dom.Node item, org.w3c.dom.Node matchNode)`

Method Detail

### doOverlap

    boolean doOverlap(org.w3c.dom.Node startNode)

  Check if overlap is set

  Parameters:
    `startNode` -
  Returns:
    true is overlap is checked

### getNodeGrammar

    java.lang.String getNodeGrammar(org.w3c.dom.Node startNode)
                                    throws ModelDefinitionException

  Get the logol grammar for the node

  Parameters:
    `startNode` - Node to convert
  Returns:
    String logol representation
  Throws:
    `ModelDefinitionException`

### getGlobalInfo

    java.lang.String getGlobalInfo(org.w3c.dom.Node startNode)
                                   throws ModelDefinitionException

  Gets information of a group of nodes, used for views or repeats for example.

  Parameters:
    `startNode` - current node to convert
  Returns:
    String logol representation
  Throws:
    `ModelDefinitionException`

### setShowComments

    void setShowComments(boolean showComments)

  Add comments to logol generated data or not

  Parameters:
    `showComments` - True if comments should be set

### setTerminals

    void setTerminals(java.util.HashMap<java.lang.String,java.lang.String> terminals)

  Sets the list of predefined terminals

  Parameters:
    `terminals` -

### update

    void update(org.w3c.dom.Node item,
                org.w3c.dom.Node matchNode)